> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49-cursor-land-agent-trust-main-c4b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a container route

> Retrieve a container route and its ordered route locations using the container resource ID.



## OpenAPI

````yaml get /containers/{id}/route
openapi: 3.0.0
info:
  title: Terminal49 API Reference
  version: 0.2.0
  contact:
    name: Terminal49 API support
    url: https://www.terminal49.com
    email: support@terminal49.com
  description: >-
    The Terminal 49 API offers a convenient way to programmatically track your
    shipments from origin to destination.


    Please enter your API key into the "Variables" tab before using these
    endpoints within Postman.
  x-label: Beta
  termsOfService: https://www.terminal49.com/terms
servers:
  - url: https://api.terminal49.com/v2
    description: Production
security:
  - authorization: []
tags:
  - name: Containers
  - name: Custom Field Definitions
  - name: Custom Field Options
  - name: Custom Fields
  - name: Shipments
  - name: Locations
  - name: Events
  - name: Tracking Requests
  - name: Webhooks
  - name: Webhook Notifications
  - name: Ports
  - name: Metro Areas
  - name: Terminals
  - name: Routing (Paid)
  - name: Documents
  - name: Email Submissions
  - name: Document Schemas
  - name: Search
  - name: Parties
paths:
  /containers/{id}/route:
    parameters:
      - schema:
          type: string
          format: uuid
        name: id
        in: path
        required: true
    get:
      tags:
        - Containers
      summary: Get a container's route
      description: >-
        Get the route and route locations for a container. This feature may not
        be enabled for every account.
      operationId: get-containers-id-route
      parameters:
        - schema:
            type: string
          in: query
          name: include
          description: Comma-delimited relations to include
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/route'
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/route_location'
                        - $ref: '#/components/schemas/port'
                        - $ref: '#/components/schemas/terminal'
                        - $ref: '#/components/schemas/vessel'
                        - $ref: '#/components/schemas/shipment'
        '403':
          description: Routing data is not enabled for this account
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/error'
components:
  schemas:
    route:
      title: Route model
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - route
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: date-time
              nullable: true
            updated_at:
              type: string
              format: date-time
              nullable: true
        relationships:
          type: object
          properties:
            route_locations:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                        enum:
                          - route_location
                    required:
                      - id
                      - type
            cargo:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      enum:
                        - container
                  required:
                    - id
                    - type
            shipment:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      enum:
                        - shipment
                  required:
                    - id
                    - type
      required:
        - id
        - type
        - attributes
      x-examples: {}
    route_location:
      title: Route location model
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - route_location
        attributes:
          type: object
          properties:
            inbound_scac:
              type: string
              nullable: true
            inbound_mode:
              type: string
              nullable: true
            inbound_eta_at:
              type: string
              format: date-time
              nullable: true
            inbound_ata_at:
              type: string
              format: date-time
              nullable: true
            inbound_voyage_number:
              type: string
              nullable: true
            outbound_scac:
              type: string
              nullable: true
            outbound_mode:
              type: string
              nullable: true
            outbound_etd_at:
              type: string
              format: date-time
              nullable: true
            outbound_atd_at:
              type: string
              format: date-time
              nullable: true
            outbound_voyage_number:
              type: string
              nullable: true
            created_at:
              type: string
              format: date-time
              nullable: true
            updated_at:
              type: string
              format: date-time
              nullable: true
            id:
              type: string
              format: uuid
        relationships:
          type: object
          additionalProperties:
            type: object
            properties:
              data:
                nullable: true
                oneOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                    required:
                      - id
                      - type
                  - type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        type:
                          type: string
                      required:
                        - id
                        - type
          properties:
            route:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      enum:
                        - route
                  required:
                    - id
                    - type
            location:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      enum:
                        - port
                        - terminal
                  required:
                    - id
                    - type
                  nullable: true
            inbound_vessel:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      enum:
                        - vessel
                  required:
                    - id
                    - type
                  nullable: true
            outbound_vessel:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      enum:
                        - vessel
                  required:
                    - id
                    - type
                  nullable: true
            facility:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      enum:
                        - port
                        - terminal
                  required:
                    - id
                    - type
                  nullable: true
      required:
        - id
        - type
        - attributes
      x-examples: {}
    port:
      title: Port model
      type: object
      properties:
        id:
          type: string
          format: uuid
        attributes:
          type: object
          properties:
            name:
              type: string
            code:
              type: string
              description: UN/LOCODE
            state_abbr:
              type: string
              x-stoplight:
                id: jixah1a0q3exs
              nullable: true
            city:
              type: string
              x-stoplight:
                id: 657ij4boc7kyv
              nullable: true
            country_code:
              type: string
              description: 2 digit country code
            time_zone:
              type: string
              description: IANA tz
            latitude:
              type: number
              x-stoplight:
                id: 480os7a90z6kk
              nullable: true
            longitude:
              type: number
              x-stoplight:
                id: nfdetqgx5p1yv
              nullable: true
        type:
          type: string
          enum:
            - port
      required:
        - id
        - type
    terminal:
      title: Terminal model
      type: object
      properties:
        id:
          type: string
          format: uuid
        relationships:
          type: object
          required:
            - port
          properties:
            port:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      enum:
                        - port
        attributes:
          type: object
          required:
            - name
          properties:
            name:
              type: string
            nickname:
              type: string
            firms_code:
              type: string
              description: CBP FIRMS Code or CBS Sublocation Code
            smdg_code:
              type: string
              description: SMDG Code
            bic_facility_code:
              type: string
              description: BIC Facility Code
            street:
              type: string
              description: Street part of the address
            city:
              type: string
              description: City part of the address
            state:
              type: string
              description: State part of the address
            state_abbr:
              type: string
              description: State abbreviation for the state
            zip:
              type: string
              description: ZIP code part of the address
            country:
              type: string
              description: Country part of the address
        type:
          type: string
          enum:
            - terminal
      required:
        - attributes
        - relationships
    vessel:
      title: vessel
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - vessel
        attributes:
          type: object
          properties:
            name:
              type: string
              description: The name of the ship or vessel
              example: Ever Given
            imo:
              type: string
              description: International Maritime Organization (IMO) number
              nullable: true
              example: '9811000'
            mmsi:
              type: string
              description: Maritime Mobile Service Identity (MMSI)
              nullable: true
              example: '353136000'
            latitude:
              type: number
              description: The current latitude position of the vessel
              nullable: true
              example: 25.29845
            longitude:
              type: number
              description: The current longitude position of the vessel
              nullable: true
              example: 121.217
            nautical_speed_knots:
              type: number
              description: The current speed of the ship in knots (nautical miles per hour)
              nullable: true
              example: 90
            navigational_heading_degrees:
              type: number
              description: >-
                The current heading of the ship in degrees, where 0 is North, 90
                is East, 180 is South, and 270 is West
              nullable: true
              example: 194
            position_timestamp:
              type: string
              description: >-
                The timestamp of when the ship's position was last recorded, in
                ISO 8601 date and time format
              nullable: true
              example: '2023-07-28T14:01:37Z'
            positions:
              type: array
              description: >-
                An array of historical position data for the vessel. Only
                included if `show_positions` is true.
              nullable: true
              items:
                type: object
                properties:
                  latitude:
                    type: number
                    example: 1.477285
                  longitude:
                    type: number
                    example: 104.535533333
                  heading:
                    type: number
                    nullable: true
                    example: 51
                  timestamp:
                    type: string
                    format: date-time
                    example: '2025-05-23T19:14:22Z'
                  estimated:
                    type: boolean
                    example: false
    shipment:
      title: Shipment model
      type: object
      x-examples: {}
      description: ''
      properties:
        id:
          type: string
          format: uuid
        relationships:
          type: object
          properties:
            destination:
              type: object
              properties:
                data:
                  type: object
                  nullable: true
                  properties:
                    type:
                      type: string
                      enum:
                        - port
                        - metro_area
                    id:
                      type: string
                      format: uuid
                  required:
                    - type
                    - id
            port_of_lading:
              type: object
              properties:
                data:
                  type: object
                  nullable: true
                  properties:
                    type:
                      type: string
                      enum:
                        - port
                    id:
                      type: string
                      format: uuid
                  required:
                    - type
                    - id
            containers:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - container
                      id:
                        type: string
                        format: uuid
                    required:
                      - type
                      - id
            port_of_discharge:
              type: object
              properties:
                data:
                  type: object
                  nullable: true
                  properties:
                    type:
                      type: string
                      enum:
                        - port
                    id:
                      type: string
                      format: uuid
                  required:
                    - type
                    - id
            pod_terminal:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - terminal
                    id:
                      type: string
                      format: uuid
                  required:
                    - type
                    - id
            destination_terminal:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - terminal
                        - rail_terminal
                    id:
                      type: string
                      format: uuid
                  required:
                    - type
                    - id
            line_tracking_stopped_by_user:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - user
                    id:
                      type: string
                      format: uuid
                  required:
                    - type
                    - id
        attributes:
          type: object
          properties:
            bill_of_lading_number:
              type: string
            normalized_number:
              type: string
              description: >-
                The normalized version of the shipment number used for querying
                the carrier
            ref_numbers:
              type: array
              items:
                type: string
              nullable: true
            created_at:
              type: string
              format: date-time
            tags:
              type: array
              items:
                type: string
            port_of_lading_locode:
              type: string
              description: UN/LOCODE
              nullable: true
            port_of_lading_name:
              type: string
              nullable: true
            port_of_discharge_locode:
              type: string
              description: UN/LOCODE
              nullable: true
            port_of_discharge_name:
              type: string
              nullable: true
            destination_locode:
              type: string
              description: UN/LOCODE
              nullable: true
            destination_name:
              type: string
              nullable: true
            shipping_line_scac:
              type: string
            shipping_line_name:
              type: string
            shipping_line_short_name:
              type: string
            customer_name:
              type: string
              nullable: true
            pod_vessel_name:
              type: string
              nullable: true
            pod_vessel_imo:
              type: string
              nullable: true
            pod_voyage_number:
              type: string
              nullable: true
            pol_etd_at:
              type: string
              format: date-time
              description: >-
                Estimated Time of Departure from the Port of Lading, as reported
                by the shipping line. Carrier dependent; may be null.
              nullable: true
            pol_atd_at:
              type: string
              format: date-time
              description: >-
                Actual Time of Departure from the Port of Lading. Populated
                after the vessel has departed the origin port.
              nullable: true
            pod_eta_at:
              type: string
              format: date-time
              description: Estimated Time of Arrival at the Port of Discharge.
              nullable: true
            pod_original_eta_at:
              type: string
              format: date-time
              description: >-
                Initial Estimated Time of Arrival at the Port of Discharge, as
                first reported by the shipping line.
              nullable: true
            pod_ata_at:
              type: string
              format: date-time
              description: Actual Time of Arrival at the Port of Discharge.
              nullable: true
            destination_eta_at:
              type: string
              format: date-time
              description: >-
                Estimated Time of Arrival at the shipment's destination, as
                reported by the shipping line. For inland (rail) moves, see also
                the container-level `ind_eta_at`, which is reported by the rail
                carrier. Corresponding timezone is `destination_timezone`.
              nullable: true
            destination_ata_at:
              type: string
              format: date-time
              description: >-
                Actual Time of Arrival at the shipment's destination, as
                reported by the shipping line. For inland (rail) moves, see also
                the container-level `ind_ata_at`, which is reported by the rail
                carrier. Corresponding timezone is `destination_timezone`.
              nullable: true
            pol_timezone:
              type: string
              description: IANA tz
              nullable: true
            pod_timezone:
              type: string
              description: IANA tz
              nullable: true
            destination_timezone:
              type: string
              description: IANA tz
              nullable: true
            line_tracking_last_attempted_at:
              type: string
              format: date-time
              description: >-
                When Terminal49 last tried to update the shipment status from
                the shipping line
              nullable: true
            line_tracking_last_succeeded_at:
              type: string
              format: date-time
              description: >-
                When Terminal49 last successfully updated the shipment status
                from the shipping line
              nullable: true
            line_tracking_stopped_at:
              type: string
              format: date-time
              description: When Terminal49 stopped checking at the shipping line
              nullable: true
            line_tracking_stopped_reason:
              type: string
              enum:
                - all_containers_terminated
                - past_arrival_window
                - past_full_out_window
                - no_updates_at_line
                - cancelled_by_user
                - booking_cancelled
                - null
              description: The reason Terminal49 stopped checking
              nullable: true
          required:
            - bill_of_lading_number
        type:
          type: string
          enum:
            - shipment
        links:
          type: object
          properties:
            self:
              type: string
              format: uri
          required:
            - self
      required:
        - id
        - type
        - attributes
        - relationships
        - links
    error:
      title: Error model
      type: object
      properties:
        detail:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
              nullable: true
            parameter:
              type: string
              nullable: true
        code:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        meta:
          type: object
          nullable: true
          additionalProperties: true
      required:
        - title
  securitySchemes:
    authorization:
      name: Authorization
      type: apiKey
      in: header
      description: >-
        Use a Terminal49 API key in the `Authorization` header with the `Token`
        prefix.


        `Authorization: Token YOUR_API_KEY`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.